## python-asn1 2.7.0

=== requirements.txt ===
future==0.18.2
enum-compat==0.0.3

=== debian/changelog ===
python-asn1 (2.7.0-2) unstable; urgency=medium

  * control, patch: drop python3-future

 -- Jérémy Lal <kapouer@melix.org>  Mon, 08 Jan 2024 09:00:18 +0100

python-asn1 (2.7.0-1) unstable; urgency=medium

  * Initial release (Closes: 1060068)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 05 Jan 2024 16:20:35 +0100

=== debian/control ===
Source: python-asn1
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pytest,
 dh-sequence-sphinxdoc,
 python3-sphinx-rtd-theme,
 sphinx,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asn1
Vcs-Git: https://salsa.debian.org/python-team/packages/python-asn1.git
Homepage: https://github.com/andrivet/python-asn1

Package: python3-asn1
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Simple ASN.1 encoder and decoder for Python
 This pure Python library features:
 * a BER decoder
 * a DER decoder and encoder (except indefinite lengths)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/andrivet/python-asn1/tags .*/v?(\d\S*)\.tar\.gz debian

## python-asn1 2.7.1

=== requirements.txt ===
future==1.0.0
enum-compat==0.0.3

=== debian/changelog ===
python-asn1 (2.7.1-1) unstable; urgency=medium

  * Team upload.
  * Add dependency on python3-setuptools (Closes: #1080725)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 14 Oct 2024 12:11:33 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  dh-sequence-python3,
  python3-all,
  python3-pytest,
+ python3-setuptools,
  dh-sequence-sphinxdoc,
  python3-sphinx-rtd-theme,
  sphinx,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --test-tox

execute_before_dh_sphinxdoc:
	sphinx-build -b html docs $(CURDIR)/debian/python3-asn1/usr/share/doc/python3-asn1/html
